Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1733237 - [abrt] qt-creator: compare_directory(): qtcreator killed by SIGSEGV
Summary: [abrt] qt-creator: compare_directory(): qtcreator killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f23b9bb8c8be0e67a4a4330726f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 13:46 UTC by Jan Kowalski
Modified: 2020-05-26 16:28 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:28:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (104.23 KB, text/plain)
2019-07-25 13:46 UTC, Jan Kowalski
no flags Details
File: cgroup (331 bytes, text/plain)
2019-07-25 13:46 UTC, Jan Kowalski
no flags Details
File: core_backtrace (31.69 KB, text/plain)
2019-07-25 13:46 UTC, Jan Kowalski
no flags Details
File: cpuinfo (1.57 KB, text/plain)
2019-07-25 13:46 UTC, Jan Kowalski
no flags Details
File: dso_list (26.76 KB, text/plain)
2019-07-25 13:46 UTC, Jan Kowalski
no flags Details
File: environ (3.59 KB, text/plain)
2019-07-25 13:46 UTC, Jan Kowalski
no flags Details
File: exploitable (117 bytes, text/plain)
2019-07-25 13:46 UTC, Jan Kowalski
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-25 13:46 UTC, Jan Kowalski
no flags Details
File: maps (169.48 KB, text/plain)
2019-07-25 13:46 UTC, Jan Kowalski
no flags Details
File: mountinfo (3.47 KB, text/plain)
2019-07-25 13:46 UTC, Jan Kowalski
no flags Details
File: open_fds (4.57 KB, text/plain)
2019-07-25 13:46 UTC, Jan Kowalski
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-07-25 13:46 UTC, Jan Kowalski
no flags Details

Description Jan Kowalski 2019-07-25 13:46:18 UTC
Version-Release number of selected component:
qt-creator-4.9.1-3.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        qtcreator
crash_function: compare_directory
executable:     /usr/bin/qtcreator
journald_cursor: s=e1c668ad04484150a9d6204088489050;i=131b9;b=5751c1f3acb143478238ccb35ae32a52;m=5e3f36fe2;t=58e809373e244;x=126b371937c3b640
kernel:         5.1.18-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 compare_directory at gtkfilechooserwidget.c:4081
 #1 name_sort_func at gtkfilechooserwidget.c:4164
 #2 compare_array_element at gtkfilesystemmodel.c:766
 #3 msort_with_tmp at ../glib/gqsort.c:152
 #8 msort_r at ../glib/gqsort.c:237
 #9 g_qsort_with_data at ../glib/gqsort.c:303
 #10 gtk_file_system_model_sort at gtkfilesystemmodel.c:790
 #12 gtk_file_system_model_sort_node at gtkfilesystemmodel.c:833
 #13 gtk_file_system_model_query_done at gtkfilesystemmodel.c:1230
 #14 g_task_return_now at ../gio/gtask.c:1209

Comment 1 Jan Kowalski 2019-07-25 13:46:22 UTC
Created attachment 1593404 [details]
File: backtrace

Comment 2 Jan Kowalski 2019-07-25 13:46:23 UTC
Created attachment 1593405 [details]
File: cgroup

Comment 3 Jan Kowalski 2019-07-25 13:46:25 UTC
Created attachment 1593406 [details]
File: core_backtrace

Comment 4 Jan Kowalski 2019-07-25 13:46:27 UTC
Created attachment 1593407 [details]
File: cpuinfo

Comment 5 Jan Kowalski 2019-07-25 13:46:29 UTC
Created attachment 1593408 [details]
File: dso_list

Comment 6 Jan Kowalski 2019-07-25 13:46:30 UTC
Created attachment 1593409 [details]
File: environ

Comment 7 Jan Kowalski 2019-07-25 13:46:32 UTC
Created attachment 1593410 [details]
File: exploitable

Comment 8 Jan Kowalski 2019-07-25 13:46:33 UTC
Created attachment 1593411 [details]
File: limits

Comment 9 Jan Kowalski 2019-07-25 13:46:35 UTC
Created attachment 1593412 [details]
File: maps

Comment 10 Jan Kowalski 2019-07-25 13:46:37 UTC
Created attachment 1593413 [details]
File: mountinfo

Comment 11 Jan Kowalski 2019-07-25 13:46:38 UTC
Created attachment 1593414 [details]
File: open_fds

Comment 12 Jan Kowalski 2019-07-25 13:46:39 UTC
Created attachment 1593415 [details]
File: proc_pid_status

Comment 13 Sandro Mani 2019-08-06 11:19:50 UTC
This is a crash in the gtk file chooser dialog.

Comment 14 Ben Cotton 2020-04-30 21:24:41 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2020-05-26 16:28:34 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.